IF OBJECT_ID('EST_PARAM_COMPRAS_PERFIL_FATURAMENTO') IS NULL 
begin
CREATE TABLE [dbo].[EST_PARAM_COMPRAS_PERFIL_FATURAMENTO](
	[CD_PERFIL_FATURAMENTO] [int] IDENTITY(1,1) NOT NULL,
	[DS_PERFIL_FATURAMENTO] [varchar](150) NOT NULL,
	[CD_USU] [int] NOT NULL,
	[DT_CAD] [datetime] NOT NULL,
	[DT_ULT_ALT] [datetime] NULL,
 CONSTRAINT [PK_EST_PARAM_COMPRAS_PERFIL_FATURAMENTO] PRIMARY KEY CLUSTERED 
(
	[CD_PERFIL_FATURAMENTO] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]


ALTER TABLE [dbo].[EST_PARAM_COMPRAS_PERFIL_FATURAMENTO] ADD  CONSTRAINT [DF_EST_PARAM_COMPRAS_PERFIL_FATURAMENTO_DS_PERFIL_FATURAMENTO]  DEFAULT ('') FOR [DS_PERFIL_FATURAMENTO]

ALTER TABLE [dbo].[EST_PARAM_COMPRAS_PERFIL_FATURAMENTO] ADD  CONSTRAINT [DF_EST_PARAM_COMPRAS_PERFIL_FATURAMENTO_CD_USU]  DEFAULT ((0)) FOR [CD_USU]

ALTER TABLE [dbo].[EST_PARAM_COMPRAS_PERFIL_FATURAMENTO] ADD  CONSTRAINT [DF_EST_PARAM_COMPRAS_PERFIL_FATURAMENTO_DT_CAD]  DEFAULT (getdate()) FOR [DT_CAD]
End

